depends = ('ITKPyBase', 'ITKStatistics', 'ITKSpatialObjects', 'ITKImageSources', 'ITKImageFilterBase', 'ITKImageFeature', 'ITKCommon', )
templates = (
  ('DescoteauxEigenToMeasureImageFilter', 'itk::DescoteauxEigenToMeasureImageFilter', 'itkDescoteauxEigenToMeasureImageFilterIVF33IF3', True, 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< float,3 >'),
  ('DescoteauxEigenToMeasureImageFilter', 'itk::DescoteauxEigenToMeasureImageFilter', 'itkDescoteauxEigenToMeasureImageFilterIVF33ID3', True, 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< double,3 >'),
  ('DescoteauxEigenToMeasureParameterEstimationFilter', 'itk::DescoteauxEigenToMeasureParameterEstimationFilter', 'itkDescoteauxEigenToMeasureParameterEstimationFilterIVF33IVF33', True, 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('EigenToMeasureParameterEstimationFilter', 'itk::EigenToMeasureParameterEstimationFilter', 'itkEigenToMeasureParameterEstimationFilterIVF33IVF33', True, 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('EigenToMeasureImageFilter', 'itk::EigenToMeasureImageFilter', 'itkEigenToMeasureImageFilterIVF33IF3', True, 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< float,3 >'),
  ('EigenToMeasureImageFilter', 'itk::EigenToMeasureImageFilter', 'itkEigenToMeasureImageFilterIVF33ID3', True, 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< double,3 >'),
  ('HessianGaussianImageFilter', 'itk::HessianGaussianImageFilter', 'itkHessianGaussianImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('HessianGaussianImageFilter', 'itk::HessianGaussianImageFilter', 'itkHessianGaussianImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('HessianGaussianImageFilter', 'itk::HessianGaussianImageFilter', 'itkHessianGaussianImageFilterISS4', True, 'itk::Image< signed short,4 >'),
  ('HessianGaussianImageFilter', 'itk::HessianGaussianImageFilter', 'itkHessianGaussianImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('HessianGaussianImageFilter', 'itk::HessianGaussianImageFilter', 'itkHessianGaussianImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('HessianGaussianImageFilter', 'itk::HessianGaussianImageFilter', 'itkHessianGaussianImageFilterIUC4', True, 'itk::Image< unsigned char,4 >'),
  ('HessianGaussianImageFilter', 'itk::HessianGaussianImageFilter', 'itkHessianGaussianImageFilterIUS2', True, 'itk::Image< unsigned short,2 >'),
  ('HessianGaussianImageFilter', 'itk::HessianGaussianImageFilter', 'itkHessianGaussianImageFilterIUS3', True, 'itk::Image< unsigned short,3 >'),
  ('HessianGaussianImageFilter', 'itk::HessianGaussianImageFilter', 'itkHessianGaussianImageFilterIUS4', True, 'itk::Image< unsigned short,4 >'),
  ('HessianGaussianImageFilter', 'itk::HessianGaussianImageFilter', 'itkHessianGaussianImageFilterIF2', True, 'itk::Image< float,2 >'),
  ('HessianGaussianImageFilter', 'itk::HessianGaussianImageFilter', 'itkHessianGaussianImageFilterIF3', True, 'itk::Image< float,3 >'),
  ('HessianGaussianImageFilter', 'itk::HessianGaussianImageFilter', 'itkHessianGaussianImageFilterIF4', True, 'itk::Image< float,4 >'),
  ('HessianGaussianImageFilter', 'itk::HessianGaussianImageFilter', 'itkHessianGaussianImageFilterID2', True, 'itk::Image< double,2 >'),
  ('HessianGaussianImageFilter', 'itk::HessianGaussianImageFilter', 'itkHessianGaussianImageFilterID3', True, 'itk::Image< double,3 >'),
  ('HessianGaussianImageFilter', 'itk::HessianGaussianImageFilter', 'itkHessianGaussianImageFilterID4', True, 'itk::Image< double,4 >'),
  ('KrcahEigenToMeasureImageFilter', 'itk::KrcahEigenToMeasureImageFilter', 'itkKrcahEigenToMeasureImageFilterIVF33IF3', True, 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< float,3 >'),
  ('KrcahEigenToMeasureImageFilter', 'itk::KrcahEigenToMeasureImageFilter', 'itkKrcahEigenToMeasureImageFilterIVF33ID3', True, 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< double,3 >'),
  ('KrcahEigenToMeasureParameterEstimationFilter', 'itk::KrcahEigenToMeasureParameterEstimationFilter', 'itkKrcahEigenToMeasureParameterEstimationFilterIVF33IVF33', True, 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterISS2IUC2', True, 'itk::Image< signed short,2 >, itk::Image< unsigned char,2 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterISS3IUC3', True, 'itk::Image< signed short,3 >, itk::Image< unsigned char,3 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterISS4IUC4', True, 'itk::Image< signed short,4 >, itk::Image< unsigned char,4 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterISS2IUS2', True, 'itk::Image< signed short,2 >, itk::Image< unsigned short,2 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterISS3IUS3', True, 'itk::Image< signed short,3 >, itk::Image< unsigned short,3 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterISS4IUS4', True, 'itk::Image< signed short,4 >, itk::Image< unsigned short,4 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterISS2IF2', True, 'itk::Image< signed short,2 >, itk::Image< float,2 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterISS3IF3', True, 'itk::Image< signed short,3 >, itk::Image< float,3 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterISS4IF4', True, 'itk::Image< signed short,4 >, itk::Image< float,4 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterISS2ID2', True, 'itk::Image< signed short,2 >, itk::Image< double,2 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterISS3ID3', True, 'itk::Image< signed short,3 >, itk::Image< double,3 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterISS4ID4', True, 'itk::Image< signed short,4 >, itk::Image< double,4 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUC2ISS2', True, 'itk::Image< unsigned char,2 >, itk::Image< signed short,2 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUC3ISS3', True, 'itk::Image< unsigned char,3 >, itk::Image< signed short,3 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUC4ISS4', True, 'itk::Image< unsigned char,4 >, itk::Image< signed short,4 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUC2IUS2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUC3IUS3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUC4IUS4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned short,4 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUC2IF2', True, 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUC3IF3', True, 'itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUC4IF4', True, 'itk::Image< unsigned char,4 >, itk::Image< float,4 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUC2ID2', True, 'itk::Image< unsigned char,2 >, itk::Image< double,2 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUC3ID3', True, 'itk::Image< unsigned char,3 >, itk::Image< double,3 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUC4ID4', True, 'itk::Image< unsigned char,4 >, itk::Image< double,4 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUS2ISS2', True, 'itk::Image< unsigned short,2 >, itk::Image< signed short,2 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUS3ISS3', True, 'itk::Image< unsigned short,3 >, itk::Image< signed short,3 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUS4ISS4', True, 'itk::Image< unsigned short,4 >, itk::Image< signed short,4 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUS2IUC2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUS3IUC3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUS4IUC4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned char,4 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUS2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUS4IUS4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUS2IF2', True, 'itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUS3IF3', True, 'itk::Image< unsigned short,3 >, itk::Image< float,3 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUS4IF4', True, 'itk::Image< unsigned short,4 >, itk::Image< float,4 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUS2ID2', True, 'itk::Image< unsigned short,2 >, itk::Image< double,2 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUS3ID3', True, 'itk::Image< unsigned short,3 >, itk::Image< double,3 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIUS4ID4', True, 'itk::Image< unsigned short,4 >, itk::Image< double,4 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIF2ISS2', True, 'itk::Image< float,2 >, itk::Image< signed short,2 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIF3ISS3', True, 'itk::Image< float,3 >, itk::Image< signed short,3 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIF4ISS4', True, 'itk::Image< float,4 >, itk::Image< signed short,4 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIF2IUC2', True, 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIF3IUC3', True, 'itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIF4IUC4', True, 'itk::Image< float,4 >, itk::Image< unsigned char,4 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIF2IUS2', True, 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIF3IUS3', True, 'itk::Image< float,3 >, itk::Image< unsigned short,3 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIF4IUS4', True, 'itk::Image< float,4 >, itk::Image< unsigned short,4 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIF2ID2', True, 'itk::Image< float,2 >, itk::Image< double,2 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIF3ID3', True, 'itk::Image< float,3 >, itk::Image< double,3 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterIF4ID4', True, 'itk::Image< float,4 >, itk::Image< double,4 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterID2ISS2', True, 'itk::Image< double,2 >, itk::Image< signed short,2 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterID3ISS3', True, 'itk::Image< double,3 >, itk::Image< signed short,3 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterID4ISS4', True, 'itk::Image< double,4 >, itk::Image< signed short,4 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterID2IUC2', True, 'itk::Image< double,2 >, itk::Image< unsigned char,2 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterID3IUC3', True, 'itk::Image< double,3 >, itk::Image< unsigned char,3 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterID4IUC4', True, 'itk::Image< double,4 >, itk::Image< unsigned char,4 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterID2IUS2', True, 'itk::Image< double,2 >, itk::Image< unsigned short,2 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterID3IUS3', True, 'itk::Image< double,3 >, itk::Image< unsigned short,3 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterID4IUS4', True, 'itk::Image< double,4 >, itk::Image< unsigned short,4 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterID2IF2', True, 'itk::Image< double,2 >, itk::Image< float,2 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterID3IF3', True, 'itk::Image< double,3 >, itk::Image< float,3 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterID4IF4', True, 'itk::Image< double,4 >, itk::Image< float,4 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('KrcahPreprocessingImageToImageFilter', 'itk::KrcahPreprocessingImageToImageFilter', 'itkKrcahPreprocessingImageToImageFilterID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS2ISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS3ISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS4ISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS2ISS2IUC2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS3ISS3IUC3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS4ISS4IUC4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Image< unsigned char,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS2ISS2IUS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS3ISS3IUS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< unsigned short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS4ISS4IUS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Image< unsigned short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS2ISS2IF2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< float,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS3ISS3IF3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< float,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS4ISS4IF4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Image< float,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS2ISS2ID2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< double,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS3ISS3ID3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< double,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS4ISS4ID4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Image< double,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS2IUC2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< unsigned char,2 >, itk::Image< signed short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS3IUC3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< unsigned char,3 >, itk::Image< signed short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS4IUC4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< unsigned char,4 >, itk::Image< signed short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS2IUC2IUC2', True, 'itk::Image< signed short,2 >, itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS3IUC3IUC3', True, 'itk::Image< signed short,3 >, itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS4IUC4IUC4', True, 'itk::Image< signed short,4 >, itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS2IUC2IUS2', True, 'itk::Image< signed short,2 >, itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS3IUC3IUS3', True, 'itk::Image< signed short,3 >, itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS4IUC4IUS4', True, 'itk::Image< signed short,4 >, itk::Image< unsigned char,4 >, itk::Image< unsigned short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS2IUC2IF2', True, 'itk::Image< signed short,2 >, itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS3IUC3IF3', True, 'itk::Image< signed short,3 >, itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS4IUC4IF4', True, 'itk::Image< signed short,4 >, itk::Image< unsigned char,4 >, itk::Image< float,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS2IUC2ID2', True, 'itk::Image< signed short,2 >, itk::Image< unsigned char,2 >, itk::Image< double,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS3IUC3ID3', True, 'itk::Image< signed short,3 >, itk::Image< unsigned char,3 >, itk::Image< double,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS4IUC4ID4', True, 'itk::Image< signed short,4 >, itk::Image< unsigned char,4 >, itk::Image< double,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS2IUS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< unsigned short,2 >, itk::Image< signed short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS3IUS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< unsigned short,3 >, itk::Image< signed short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS4IUS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< unsigned short,4 >, itk::Image< signed short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS2IUS2IUC2', True, 'itk::Image< signed short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS3IUS3IUC3', True, 'itk::Image< signed short,3 >, itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS4IUS4IUC4', True, 'itk::Image< signed short,4 >, itk::Image< unsigned short,4 >, itk::Image< unsigned char,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS2IUS2IUS2', True, 'itk::Image< signed short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS3IUS3IUS3', True, 'itk::Image< signed short,3 >, itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS4IUS4IUS4', True, 'itk::Image< signed short,4 >, itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS2IUS2IF2', True, 'itk::Image< signed short,2 >, itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS3IUS3IF3', True, 'itk::Image< signed short,3 >, itk::Image< unsigned short,3 >, itk::Image< float,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS4IUS4IF4', True, 'itk::Image< signed short,4 >, itk::Image< unsigned short,4 >, itk::Image< float,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS2IUS2ID2', True, 'itk::Image< signed short,2 >, itk::Image< unsigned short,2 >, itk::Image< double,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS3IUS3ID3', True, 'itk::Image< signed short,3 >, itk::Image< unsigned short,3 >, itk::Image< double,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS4IUS4ID4', True, 'itk::Image< signed short,4 >, itk::Image< unsigned short,4 >, itk::Image< double,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS2IF2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< float,2 >, itk::Image< signed short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS3IF3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< float,3 >, itk::Image< signed short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS4IF4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< float,4 >, itk::Image< signed short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS2IF2IUC2', True, 'itk::Image< signed short,2 >, itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS3IF3IUC3', True, 'itk::Image< signed short,3 >, itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS4IF4IUC4', True, 'itk::Image< signed short,4 >, itk::Image< float,4 >, itk::Image< unsigned char,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS2IF2IUS2', True, 'itk::Image< signed short,2 >, itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS3IF3IUS3', True, 'itk::Image< signed short,3 >, itk::Image< float,3 >, itk::Image< unsigned short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS4IF4IUS4', True, 'itk::Image< signed short,4 >, itk::Image< float,4 >, itk::Image< unsigned short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS2IF2IF2', True, 'itk::Image< signed short,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS3IF3IF3', True, 'itk::Image< signed short,3 >, itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS4IF4IF4', True, 'itk::Image< signed short,4 >, itk::Image< float,4 >, itk::Image< float,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS2IF2ID2', True, 'itk::Image< signed short,2 >, itk::Image< float,2 >, itk::Image< double,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS3IF3ID3', True, 'itk::Image< signed short,3 >, itk::Image< float,3 >, itk::Image< double,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS4IF4ID4', True, 'itk::Image< signed short,4 >, itk::Image< float,4 >, itk::Image< double,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS2ID2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< double,2 >, itk::Image< signed short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS3ID3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< double,3 >, itk::Image< signed short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS4ID4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< double,4 >, itk::Image< signed short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS2ID2IUC2', True, 'itk::Image< signed short,2 >, itk::Image< double,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS3ID3IUC3', True, 'itk::Image< signed short,3 >, itk::Image< double,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS4ID4IUC4', True, 'itk::Image< signed short,4 >, itk::Image< double,4 >, itk::Image< unsigned char,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS2ID2IUS2', True, 'itk::Image< signed short,2 >, itk::Image< double,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS3ID3IUS3', True, 'itk::Image< signed short,3 >, itk::Image< double,3 >, itk::Image< unsigned short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS4ID4IUS4', True, 'itk::Image< signed short,4 >, itk::Image< double,4 >, itk::Image< unsigned short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS2ID2IF2', True, 'itk::Image< signed short,2 >, itk::Image< double,2 >, itk::Image< float,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS3ID3IF3', True, 'itk::Image< signed short,3 >, itk::Image< double,3 >, itk::Image< float,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS4ID4IF4', True, 'itk::Image< signed short,4 >, itk::Image< double,4 >, itk::Image< float,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS2ID2ID2', True, 'itk::Image< signed short,2 >, itk::Image< double,2 >, itk::Image< double,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS3ID3ID3', True, 'itk::Image< signed short,3 >, itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterISS4ID4ID4', True, 'itk::Image< signed short,4 >, itk::Image< double,4 >, itk::Image< double,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC2ISS2ISS2', True, 'itk::Image< unsigned char,2 >, itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC3ISS3ISS3', True, 'itk::Image< unsigned char,3 >, itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC4ISS4ISS4', True, 'itk::Image< unsigned char,4 >, itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC2ISS2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< signed short,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC3ISS3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< signed short,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC4ISS4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< signed short,4 >, itk::Image< unsigned char,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC2ISS2IUS2', True, 'itk::Image< unsigned char,2 >, itk::Image< signed short,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC3ISS3IUS3', True, 'itk::Image< unsigned char,3 >, itk::Image< signed short,3 >, itk::Image< unsigned short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC4ISS4IUS4', True, 'itk::Image< unsigned char,4 >, itk::Image< signed short,4 >, itk::Image< unsigned short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC2ISS2IF2', True, 'itk::Image< unsigned char,2 >, itk::Image< signed short,2 >, itk::Image< float,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC3ISS3IF3', True, 'itk::Image< unsigned char,3 >, itk::Image< signed short,3 >, itk::Image< float,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC4ISS4IF4', True, 'itk::Image< unsigned char,4 >, itk::Image< signed short,4 >, itk::Image< float,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC2ISS2ID2', True, 'itk::Image< unsigned char,2 >, itk::Image< signed short,2 >, itk::Image< double,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC3ISS3ID3', True, 'itk::Image< unsigned char,3 >, itk::Image< signed short,3 >, itk::Image< double,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC4ISS4ID4', True, 'itk::Image< unsigned char,4 >, itk::Image< signed short,4 >, itk::Image< double,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC2IUC2ISS2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< signed short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC3IUC3ISS3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< signed short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC4IUC4ISS4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Image< signed short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC2IUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC3IUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC4IUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC2IUC2IUS2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC3IUC3IUS3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC4IUC4IUS4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Image< unsigned short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC2IUC2IF2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC3IUC3IF3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC4IUC4IF4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Image< float,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC2IUC2ID2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< double,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC3IUC3ID3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< double,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC4IUC4ID4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Image< double,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC2IUS2ISS2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >, itk::Image< signed short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC3IUS3ISS3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >, itk::Image< signed short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC4IUS4ISS4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned short,4 >, itk::Image< signed short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC2IUS2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC3IUS3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC4IUS4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned short,4 >, itk::Image< unsigned char,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC2IUS2IUS2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC3IUS3IUS3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC4IUS4IUS4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC2IUS2IF2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC3IUS3IF3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >, itk::Image< float,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC4IUS4IF4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned short,4 >, itk::Image< float,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC2IUS2ID2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >, itk::Image< double,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC3IUS3ID3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >, itk::Image< double,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC4IUS4ID4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned short,4 >, itk::Image< double,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC2IF2ISS2', True, 'itk::Image< unsigned char,2 >, itk::Image< float,2 >, itk::Image< signed short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC3IF3ISS3', True, 'itk::Image< unsigned char,3 >, itk::Image< float,3 >, itk::Image< signed short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC4IF4ISS4', True, 'itk::Image< unsigned char,4 >, itk::Image< float,4 >, itk::Image< signed short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC2IF2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC3IF3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC4IF4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< float,4 >, itk::Image< unsigned char,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC2IF2IUS2', True, 'itk::Image< unsigned char,2 >, itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC3IF3IUS3', True, 'itk::Image< unsigned char,3 >, itk::Image< float,3 >, itk::Image< unsigned short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC4IF4IUS4', True, 'itk::Image< unsigned char,4 >, itk::Image< float,4 >, itk::Image< unsigned short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC2IF2IF2', True, 'itk::Image< unsigned char,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC3IF3IF3', True, 'itk::Image< unsigned char,3 >, itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC4IF4IF4', True, 'itk::Image< unsigned char,4 >, itk::Image< float,4 >, itk::Image< float,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC2IF2ID2', True, 'itk::Image< unsigned char,2 >, itk::Image< float,2 >, itk::Image< double,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC3IF3ID3', True, 'itk::Image< unsigned char,3 >, itk::Image< float,3 >, itk::Image< double,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC4IF4ID4', True, 'itk::Image< unsigned char,4 >, itk::Image< float,4 >, itk::Image< double,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC2ID2ISS2', True, 'itk::Image< unsigned char,2 >, itk::Image< double,2 >, itk::Image< signed short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC3ID3ISS3', True, 'itk::Image< unsigned char,3 >, itk::Image< double,3 >, itk::Image< signed short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC4ID4ISS4', True, 'itk::Image< unsigned char,4 >, itk::Image< double,4 >, itk::Image< signed short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC2ID2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< double,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC3ID3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< double,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC4ID4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< double,4 >, itk::Image< unsigned char,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC2ID2IUS2', True, 'itk::Image< unsigned char,2 >, itk::Image< double,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC3ID3IUS3', True, 'itk::Image< unsigned char,3 >, itk::Image< double,3 >, itk::Image< unsigned short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC4ID4IUS4', True, 'itk::Image< unsigned char,4 >, itk::Image< double,4 >, itk::Image< unsigned short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC2ID2IF2', True, 'itk::Image< unsigned char,2 >, itk::Image< double,2 >, itk::Image< float,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC3ID3IF3', True, 'itk::Image< unsigned char,3 >, itk::Image< double,3 >, itk::Image< float,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC4ID4IF4', True, 'itk::Image< unsigned char,4 >, itk::Image< double,4 >, itk::Image< float,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC2ID2ID2', True, 'itk::Image< unsigned char,2 >, itk::Image< double,2 >, itk::Image< double,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC3ID3ID3', True, 'itk::Image< unsigned char,3 >, itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUC4ID4ID4', True, 'itk::Image< unsigned char,4 >, itk::Image< double,4 >, itk::Image< double,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS2ISS2ISS2', True, 'itk::Image< unsigned short,2 >, itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS3ISS3ISS3', True, 'itk::Image< unsigned short,3 >, itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS4ISS4ISS4', True, 'itk::Image< unsigned short,4 >, itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS2ISS2IUC2', True, 'itk::Image< unsigned short,2 >, itk::Image< signed short,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS3ISS3IUC3', True, 'itk::Image< unsigned short,3 >, itk::Image< signed short,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS4ISS4IUC4', True, 'itk::Image< unsigned short,4 >, itk::Image< signed short,4 >, itk::Image< unsigned char,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS2ISS2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< signed short,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS3ISS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< signed short,3 >, itk::Image< unsigned short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS4ISS4IUS4', True, 'itk::Image< unsigned short,4 >, itk::Image< signed short,4 >, itk::Image< unsigned short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS2ISS2IF2', True, 'itk::Image< unsigned short,2 >, itk::Image< signed short,2 >, itk::Image< float,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS3ISS3IF3', True, 'itk::Image< unsigned short,3 >, itk::Image< signed short,3 >, itk::Image< float,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS4ISS4IF4', True, 'itk::Image< unsigned short,4 >, itk::Image< signed short,4 >, itk::Image< float,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS2ISS2ID2', True, 'itk::Image< unsigned short,2 >, itk::Image< signed short,2 >, itk::Image< double,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS3ISS3ID3', True, 'itk::Image< unsigned short,3 >, itk::Image< signed short,3 >, itk::Image< double,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS4ISS4ID4', True, 'itk::Image< unsigned short,4 >, itk::Image< signed short,4 >, itk::Image< double,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS2IUC2ISS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >, itk::Image< signed short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS3IUC3ISS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >, itk::Image< signed short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS4IUC4ISS4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned char,4 >, itk::Image< signed short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS2IUC2IUC2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS3IUC3IUC3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS4IUC4IUC4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS2IUC2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS3IUC3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS4IUC4IUS4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned char,4 >, itk::Image< unsigned short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS2IUC2IF2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS3IUC3IF3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS4IUC4IF4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned char,4 >, itk::Image< float,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS2IUC2ID2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >, itk::Image< double,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS3IUC3ID3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >, itk::Image< double,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS4IUC4ID4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned char,4 >, itk::Image< double,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS2IUS2ISS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< signed short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS3IUS3ISS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< signed short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS4IUS4ISS4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >, itk::Image< signed short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS2IUS2IUC2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS3IUS3IUC3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS4IUS4IUC4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >, itk::Image< unsigned char,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS2IUS2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS3IUS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS4IUS4IUS4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS2IUS2IF2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS3IUS3IF3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< float,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS4IUS4IF4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >, itk::Image< float,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS2IUS2ID2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< double,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS3IUS3ID3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< double,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS4IUS4ID4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >, itk::Image< double,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS2IF2ISS2', True, 'itk::Image< unsigned short,2 >, itk::Image< float,2 >, itk::Image< signed short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS3IF3ISS3', True, 'itk::Image< unsigned short,3 >, itk::Image< float,3 >, itk::Image< signed short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS4IF4ISS4', True, 'itk::Image< unsigned short,4 >, itk::Image< float,4 >, itk::Image< signed short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS2IF2IUC2', True, 'itk::Image< unsigned short,2 >, itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS3IF3IUC3', True, 'itk::Image< unsigned short,3 >, itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS4IF4IUC4', True, 'itk::Image< unsigned short,4 >, itk::Image< float,4 >, itk::Image< unsigned char,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS2IF2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS3IF3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< float,3 >, itk::Image< unsigned short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS4IF4IUS4', True, 'itk::Image< unsigned short,4 >, itk::Image< float,4 >, itk::Image< unsigned short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS2IF2IF2', True, 'itk::Image< unsigned short,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS3IF3IF3', True, 'itk::Image< unsigned short,3 >, itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS4IF4IF4', True, 'itk::Image< unsigned short,4 >, itk::Image< float,4 >, itk::Image< float,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS2IF2ID2', True, 'itk::Image< unsigned short,2 >, itk::Image< float,2 >, itk::Image< double,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS3IF3ID3', True, 'itk::Image< unsigned short,3 >, itk::Image< float,3 >, itk::Image< double,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS4IF4ID4', True, 'itk::Image< unsigned short,4 >, itk::Image< float,4 >, itk::Image< double,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS2ID2ISS2', True, 'itk::Image< unsigned short,2 >, itk::Image< double,2 >, itk::Image< signed short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS3ID3ISS3', True, 'itk::Image< unsigned short,3 >, itk::Image< double,3 >, itk::Image< signed short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS4ID4ISS4', True, 'itk::Image< unsigned short,4 >, itk::Image< double,4 >, itk::Image< signed short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS2ID2IUC2', True, 'itk::Image< unsigned short,2 >, itk::Image< double,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS3ID3IUC3', True, 'itk::Image< unsigned short,3 >, itk::Image< double,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS4ID4IUC4', True, 'itk::Image< unsigned short,4 >, itk::Image< double,4 >, itk::Image< unsigned char,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS2ID2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< double,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS3ID3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< double,3 >, itk::Image< unsigned short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS4ID4IUS4', True, 'itk::Image< unsigned short,4 >, itk::Image< double,4 >, itk::Image< unsigned short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS2ID2IF2', True, 'itk::Image< unsigned short,2 >, itk::Image< double,2 >, itk::Image< float,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS3ID3IF3', True, 'itk::Image< unsigned short,3 >, itk::Image< double,3 >, itk::Image< float,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS4ID4IF4', True, 'itk::Image< unsigned short,4 >, itk::Image< double,4 >, itk::Image< float,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS2ID2ID2', True, 'itk::Image< unsigned short,2 >, itk::Image< double,2 >, itk::Image< double,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS3ID3ID3', True, 'itk::Image< unsigned short,3 >, itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIUS4ID4ID4', True, 'itk::Image< unsigned short,4 >, itk::Image< double,4 >, itk::Image< double,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF2ISS2ISS2', True, 'itk::Image< float,2 >, itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF3ISS3ISS3', True, 'itk::Image< float,3 >, itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF4ISS4ISS4', True, 'itk::Image< float,4 >, itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF2ISS2IUC2', True, 'itk::Image< float,2 >, itk::Image< signed short,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF3ISS3IUC3', True, 'itk::Image< float,3 >, itk::Image< signed short,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF4ISS4IUC4', True, 'itk::Image< float,4 >, itk::Image< signed short,4 >, itk::Image< unsigned char,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF2ISS2IUS2', True, 'itk::Image< float,2 >, itk::Image< signed short,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF3ISS3IUS3', True, 'itk::Image< float,3 >, itk::Image< signed short,3 >, itk::Image< unsigned short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF4ISS4IUS4', True, 'itk::Image< float,4 >, itk::Image< signed short,4 >, itk::Image< unsigned short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF2ISS2IF2', True, 'itk::Image< float,2 >, itk::Image< signed short,2 >, itk::Image< float,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF3ISS3IF3', True, 'itk::Image< float,3 >, itk::Image< signed short,3 >, itk::Image< float,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF4ISS4IF4', True, 'itk::Image< float,4 >, itk::Image< signed short,4 >, itk::Image< float,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF2ISS2ID2', True, 'itk::Image< float,2 >, itk::Image< signed short,2 >, itk::Image< double,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF3ISS3ID3', True, 'itk::Image< float,3 >, itk::Image< signed short,3 >, itk::Image< double,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF4ISS4ID4', True, 'itk::Image< float,4 >, itk::Image< signed short,4 >, itk::Image< double,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF2IUC2ISS2', True, 'itk::Image< float,2 >, itk::Image< unsigned char,2 >, itk::Image< signed short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF3IUC3ISS3', True, 'itk::Image< float,3 >, itk::Image< unsigned char,3 >, itk::Image< signed short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF4IUC4ISS4', True, 'itk::Image< float,4 >, itk::Image< unsigned char,4 >, itk::Image< signed short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF2IUC2IUC2', True, 'itk::Image< float,2 >, itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF3IUC3IUC3', True, 'itk::Image< float,3 >, itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF4IUC4IUC4', True, 'itk::Image< float,4 >, itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF2IUC2IUS2', True, 'itk::Image< float,2 >, itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF3IUC3IUS3', True, 'itk::Image< float,3 >, itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF4IUC4IUS4', True, 'itk::Image< float,4 >, itk::Image< unsigned char,4 >, itk::Image< unsigned short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF2IUC2IF2', True, 'itk::Image< float,2 >, itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF3IUC3IF3', True, 'itk::Image< float,3 >, itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF4IUC4IF4', True, 'itk::Image< float,4 >, itk::Image< unsigned char,4 >, itk::Image< float,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF2IUC2ID2', True, 'itk::Image< float,2 >, itk::Image< unsigned char,2 >, itk::Image< double,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF3IUC3ID3', True, 'itk::Image< float,3 >, itk::Image< unsigned char,3 >, itk::Image< double,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF4IUC4ID4', True, 'itk::Image< float,4 >, itk::Image< unsigned char,4 >, itk::Image< double,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF2IUS2ISS2', True, 'itk::Image< float,2 >, itk::Image< unsigned short,2 >, itk::Image< signed short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF3IUS3ISS3', True, 'itk::Image< float,3 >, itk::Image< unsigned short,3 >, itk::Image< signed short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF4IUS4ISS4', True, 'itk::Image< float,4 >, itk::Image< unsigned short,4 >, itk::Image< signed short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF2IUS2IUC2', True, 'itk::Image< float,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF3IUS3IUC3', True, 'itk::Image< float,3 >, itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF4IUS4IUC4', True, 'itk::Image< float,4 >, itk::Image< unsigned short,4 >, itk::Image< unsigned char,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF2IUS2IUS2', True, 'itk::Image< float,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF3IUS3IUS3', True, 'itk::Image< float,3 >, itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF4IUS4IUS4', True, 'itk::Image< float,4 >, itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF2IUS2IF2', True, 'itk::Image< float,2 >, itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF3IUS3IF3', True, 'itk::Image< float,3 >, itk::Image< unsigned short,3 >, itk::Image< float,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF4IUS4IF4', True, 'itk::Image< float,4 >, itk::Image< unsigned short,4 >, itk::Image< float,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF2IUS2ID2', True, 'itk::Image< float,2 >, itk::Image< unsigned short,2 >, itk::Image< double,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF3IUS3ID3', True, 'itk::Image< float,3 >, itk::Image< unsigned short,3 >, itk::Image< double,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF4IUS4ID4', True, 'itk::Image< float,4 >, itk::Image< unsigned short,4 >, itk::Image< double,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF2IF2ISS2', True, 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< signed short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF3IF3ISS3', True, 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< signed short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF4IF4ISS4', True, 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< signed short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF2IF2IUC2', True, 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF3IF3IUC3', True, 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF4IF4IUC4', True, 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< unsigned char,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF2IF2IUS2', True, 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF3IF3IUS3', True, 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< unsigned short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF4IF4IUS4', True, 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< unsigned short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF2IF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF3IF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF4IF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< float,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF2IF2ID2', True, 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< double,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF3IF3ID3', True, 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< double,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF4IF4ID4', True, 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< double,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF2ID2ISS2', True, 'itk::Image< float,2 >, itk::Image< double,2 >, itk::Image< signed short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF3ID3ISS3', True, 'itk::Image< float,3 >, itk::Image< double,3 >, itk::Image< signed short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF4ID4ISS4', True, 'itk::Image< float,4 >, itk::Image< double,4 >, itk::Image< signed short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF2ID2IUC2', True, 'itk::Image< float,2 >, itk::Image< double,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF3ID3IUC3', True, 'itk::Image< float,3 >, itk::Image< double,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF4ID4IUC4', True, 'itk::Image< float,4 >, itk::Image< double,4 >, itk::Image< unsigned char,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF2ID2IUS2', True, 'itk::Image< float,2 >, itk::Image< double,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF3ID3IUS3', True, 'itk::Image< float,3 >, itk::Image< double,3 >, itk::Image< unsigned short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF4ID4IUS4', True, 'itk::Image< float,4 >, itk::Image< double,4 >, itk::Image< unsigned short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF2ID2IF2', True, 'itk::Image< float,2 >, itk::Image< double,2 >, itk::Image< float,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF3ID3IF3', True, 'itk::Image< float,3 >, itk::Image< double,3 >, itk::Image< float,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF4ID4IF4', True, 'itk::Image< float,4 >, itk::Image< double,4 >, itk::Image< float,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF2ID2ID2', True, 'itk::Image< float,2 >, itk::Image< double,2 >, itk::Image< double,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF3ID3ID3', True, 'itk::Image< float,3 >, itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterIF4ID4ID4', True, 'itk::Image< float,4 >, itk::Image< double,4 >, itk::Image< double,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID2ISS2ISS2', True, 'itk::Image< double,2 >, itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID3ISS3ISS3', True, 'itk::Image< double,3 >, itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID4ISS4ISS4', True, 'itk::Image< double,4 >, itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID2ISS2IUC2', True, 'itk::Image< double,2 >, itk::Image< signed short,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID3ISS3IUC3', True, 'itk::Image< double,3 >, itk::Image< signed short,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID4ISS4IUC4', True, 'itk::Image< double,4 >, itk::Image< signed short,4 >, itk::Image< unsigned char,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID2ISS2IUS2', True, 'itk::Image< double,2 >, itk::Image< signed short,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID3ISS3IUS3', True, 'itk::Image< double,3 >, itk::Image< signed short,3 >, itk::Image< unsigned short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID4ISS4IUS4', True, 'itk::Image< double,4 >, itk::Image< signed short,4 >, itk::Image< unsigned short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID2ISS2IF2', True, 'itk::Image< double,2 >, itk::Image< signed short,2 >, itk::Image< float,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID3ISS3IF3', True, 'itk::Image< double,3 >, itk::Image< signed short,3 >, itk::Image< float,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID4ISS4IF4', True, 'itk::Image< double,4 >, itk::Image< signed short,4 >, itk::Image< float,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID2ISS2ID2', True, 'itk::Image< double,2 >, itk::Image< signed short,2 >, itk::Image< double,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID3ISS3ID3', True, 'itk::Image< double,3 >, itk::Image< signed short,3 >, itk::Image< double,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID4ISS4ID4', True, 'itk::Image< double,4 >, itk::Image< signed short,4 >, itk::Image< double,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID2IUC2ISS2', True, 'itk::Image< double,2 >, itk::Image< unsigned char,2 >, itk::Image< signed short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID3IUC3ISS3', True, 'itk::Image< double,3 >, itk::Image< unsigned char,3 >, itk::Image< signed short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID4IUC4ISS4', True, 'itk::Image< double,4 >, itk::Image< unsigned char,4 >, itk::Image< signed short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID2IUC2IUC2', True, 'itk::Image< double,2 >, itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID3IUC3IUC3', True, 'itk::Image< double,3 >, itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID4IUC4IUC4', True, 'itk::Image< double,4 >, itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID2IUC2IUS2', True, 'itk::Image< double,2 >, itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID3IUC3IUS3', True, 'itk::Image< double,3 >, itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID4IUC4IUS4', True, 'itk::Image< double,4 >, itk::Image< unsigned char,4 >, itk::Image< unsigned short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID2IUC2IF2', True, 'itk::Image< double,2 >, itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID3IUC3IF3', True, 'itk::Image< double,3 >, itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID4IUC4IF4', True, 'itk::Image< double,4 >, itk::Image< unsigned char,4 >, itk::Image< float,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID2IUC2ID2', True, 'itk::Image< double,2 >, itk::Image< unsigned char,2 >, itk::Image< double,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID3IUC3ID3', True, 'itk::Image< double,3 >, itk::Image< unsigned char,3 >, itk::Image< double,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID4IUC4ID4', True, 'itk::Image< double,4 >, itk::Image< unsigned char,4 >, itk::Image< double,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID2IUS2ISS2', True, 'itk::Image< double,2 >, itk::Image< unsigned short,2 >, itk::Image< signed short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID3IUS3ISS3', True, 'itk::Image< double,3 >, itk::Image< unsigned short,3 >, itk::Image< signed short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID4IUS4ISS4', True, 'itk::Image< double,4 >, itk::Image< unsigned short,4 >, itk::Image< signed short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID2IUS2IUC2', True, 'itk::Image< double,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID3IUS3IUC3', True, 'itk::Image< double,3 >, itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID4IUS4IUC4', True, 'itk::Image< double,4 >, itk::Image< unsigned short,4 >, itk::Image< unsigned char,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID2IUS2IUS2', True, 'itk::Image< double,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID3IUS3IUS3', True, 'itk::Image< double,3 >, itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID4IUS4IUS4', True, 'itk::Image< double,4 >, itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID2IUS2IF2', True, 'itk::Image< double,2 >, itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID3IUS3IF3', True, 'itk::Image< double,3 >, itk::Image< unsigned short,3 >, itk::Image< float,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID4IUS4IF4', True, 'itk::Image< double,4 >, itk::Image< unsigned short,4 >, itk::Image< float,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID2IUS2ID2', True, 'itk::Image< double,2 >, itk::Image< unsigned short,2 >, itk::Image< double,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID3IUS3ID3', True, 'itk::Image< double,3 >, itk::Image< unsigned short,3 >, itk::Image< double,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID4IUS4ID4', True, 'itk::Image< double,4 >, itk::Image< unsigned short,4 >, itk::Image< double,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID2IF2ISS2', True, 'itk::Image< double,2 >, itk::Image< float,2 >, itk::Image< signed short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID3IF3ISS3', True, 'itk::Image< double,3 >, itk::Image< float,3 >, itk::Image< signed short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID4IF4ISS4', True, 'itk::Image< double,4 >, itk::Image< float,4 >, itk::Image< signed short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID2IF2IUC2', True, 'itk::Image< double,2 >, itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID3IF3IUC3', True, 'itk::Image< double,3 >, itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID4IF4IUC4', True, 'itk::Image< double,4 >, itk::Image< float,4 >, itk::Image< unsigned char,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID2IF2IUS2', True, 'itk::Image< double,2 >, itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID3IF3IUS3', True, 'itk::Image< double,3 >, itk::Image< float,3 >, itk::Image< unsigned short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID4IF4IUS4', True, 'itk::Image< double,4 >, itk::Image< float,4 >, itk::Image< unsigned short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID2IF2IF2', True, 'itk::Image< double,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID3IF3IF3', True, 'itk::Image< double,3 >, itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID4IF4IF4', True, 'itk::Image< double,4 >, itk::Image< float,4 >, itk::Image< float,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID2IF2ID2', True, 'itk::Image< double,2 >, itk::Image< float,2 >, itk::Image< double,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID3IF3ID3', True, 'itk::Image< double,3 >, itk::Image< float,3 >, itk::Image< double,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID4IF4ID4', True, 'itk::Image< double,4 >, itk::Image< float,4 >, itk::Image< double,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID2ID2ISS2', True, 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< signed short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID3ID3ISS3', True, 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< signed short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID4ID4ISS4', True, 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< signed short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID2ID2IUC2', True, 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID3ID3IUC3', True, 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID4ID4IUC4', True, 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< unsigned char,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID2ID2IUS2', True, 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID3ID3IUS3', True, 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< unsigned short,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID4ID4IUS4', True, 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< unsigned short,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID2ID2IF2', True, 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< float,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID3ID3IF3', True, 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< float,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID4ID4IF4', True, 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< float,4 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID2ID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< double,2 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID3ID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MaximumAbsoluteValueImageFilter', 'itk::MaximumAbsoluteValueImageFilter', 'itkMaximumAbsoluteValueImageFilterID4ID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< double,4 >'),
  ('MultiScaleHessianEnhancementImageFilter', 'itk::MultiScaleHessianEnhancementImageFilter', 'itkMultiScaleHessianEnhancementImageFilterISS3IF3', True, 'itk::Image< signed short,3 >, itk::Image< float,3 >'),
  ('MultiScaleHessianEnhancementImageFilter', 'itk::MultiScaleHessianEnhancementImageFilter', 'itkMultiScaleHessianEnhancementImageFilterISS3ID3', True, 'itk::Image< signed short,3 >, itk::Image< double,3 >'),
  ('MultiScaleHessianEnhancementImageFilter', 'itk::MultiScaleHessianEnhancementImageFilter', 'itkMultiScaleHessianEnhancementImageFilterIUC3IF3', True, 'itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('MultiScaleHessianEnhancementImageFilter', 'itk::MultiScaleHessianEnhancementImageFilter', 'itkMultiScaleHessianEnhancementImageFilterIUC3ID3', True, 'itk::Image< unsigned char,3 >, itk::Image< double,3 >'),
  ('MultiScaleHessianEnhancementImageFilter', 'itk::MultiScaleHessianEnhancementImageFilter', 'itkMultiScaleHessianEnhancementImageFilterIUS3IF3', True, 'itk::Image< unsigned short,3 >, itk::Image< float,3 >'),
  ('MultiScaleHessianEnhancementImageFilter', 'itk::MultiScaleHessianEnhancementImageFilter', 'itkMultiScaleHessianEnhancementImageFilterIUS3ID3', True, 'itk::Image< unsigned short,3 >, itk::Image< double,3 >'),
  ('MultiScaleHessianEnhancementImageFilter', 'itk::MultiScaleHessianEnhancementImageFilter', 'itkMultiScaleHessianEnhancementImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MultiScaleHessianEnhancementImageFilter', 'itk::MultiScaleHessianEnhancementImageFilter', 'itkMultiScaleHessianEnhancementImageFilterIF3ID3', True, 'itk::Image< float,3 >, itk::Image< double,3 >'),
  ('MultiScaleHessianEnhancementImageFilter', 'itk::MultiScaleHessianEnhancementImageFilter', 'itkMultiScaleHessianEnhancementImageFilterID3IF3', True, 'itk::Image< double,3 >, itk::Image< float,3 >'),
  ('MultiScaleHessianEnhancementImageFilter', 'itk::MultiScaleHessianEnhancementImageFilter', 'itkMultiScaleHessianEnhancementImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
)
